# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/PyRegExpWizard/PyRegExpWizardRepeatDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PyRegExpWizardRepeatDialog(object):
    def setupUi(self, PyRegExpWizardRepeatDialog):
        PyRegExpWizardRepeatDialog.setObjectName("PyRegExpWizardRepeatDialog")
        PyRegExpWizardRepeatDialog.resize(331, 223)
        PyRegExpWizardRepeatDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(PyRegExpWizardRepeatDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.groupBox = QtWidgets.QGroupBox(parent=PyRegExpWizardRepeatDialog)
        self.groupBox.setTitle("")
        self.groupBox.setFlat(True)
        self.groupBox.setObjectName("groupBox")
        self.gridlayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridlayout.setContentsMargins(0, 0, 0, 0)
        self.gridlayout.setObjectName("gridlayout")
        self.textLabel1_6 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel1_6.setObjectName("textLabel1_6")
        self.gridlayout.addWidget(self.textLabel1_6, 2, 2, 1, 1)
        self.textLabel1_7 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel1_7.setObjectName("textLabel1_7")
        self.gridlayout.addWidget(self.textLabel1_7, 3, 2, 1, 1)
        self.textLabel1_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel1_5.setObjectName("textLabel1_5")
        self.gridlayout.addWidget(self.textLabel1_5, 1, 2, 1, 1)
        self.lowerSpin = QtWidgets.QSpinBox(parent=self.groupBox)
        self.lowerSpin.setEnabled(False)
        self.lowerSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.lowerSpin.setProperty("value", 1)
        self.lowerSpin.setObjectName("lowerSpin")
        self.gridlayout.addWidget(self.lowerSpin, 4, 1, 1, 1)
        self.upperSpin = QtWidgets.QSpinBox(parent=self.groupBox)
        self.upperSpin.setEnabled(False)
        self.upperSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.upperSpin.setProperty("value", 1)
        self.upperSpin.setObjectName("upperSpin")
        self.gridlayout.addWidget(self.upperSpin, 4, 3, 1, 1)
        self.textLabel6 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel6.setObjectName("textLabel6")
        self.gridlayout.addWidget(self.textLabel6, 4, 2, 1, 1)
        self.betweenButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.betweenButton.setObjectName("betweenButton")
        self.gridlayout.addWidget(self.betweenButton, 4, 0, 1, 1)
        self.exactSpin = QtWidgets.QSpinBox(parent=self.groupBox)
        self.exactSpin.setEnabled(False)
        self.exactSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.exactSpin.setProperty("value", 1)
        self.exactSpin.setObjectName("exactSpin")
        self.gridlayout.addWidget(self.exactSpin, 3, 1, 1, 1)
        self.exactButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.exactButton.setObjectName("exactButton")
        self.gridlayout.addWidget(self.exactButton, 3, 0, 1, 1)
        self.maxSpin = QtWidgets.QSpinBox(parent=self.groupBox)
        self.maxSpin.setEnabled(False)
        self.maxSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.maxSpin.setProperty("value", 1)
        self.maxSpin.setObjectName("maxSpin")
        self.gridlayout.addWidget(self.maxSpin, 2, 1, 1, 1)
        self.maxButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.maxButton.setObjectName("maxButton")
        self.gridlayout.addWidget(self.maxButton, 2, 0, 1, 1)
        self.minButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.minButton.setObjectName("minButton")
        self.gridlayout.addWidget(self.minButton, 1, 0, 1, 1)
        self.minSpin = QtWidgets.QSpinBox(parent=self.groupBox)
        self.minSpin.setEnabled(False)
        self.minSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.minSpin.setProperty("value", 1)
        self.minSpin.setObjectName("minSpin")
        self.gridlayout.addWidget(self.minSpin, 1, 1, 1, 1)
        self.unlimitedButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.unlimitedButton.setObjectName("unlimitedButton")
        self.gridlayout.addWidget(self.unlimitedButton, 0, 0, 1, 4)
        self.vboxlayout.addWidget(self.groupBox)
        self.minimalCheckBox = QtWidgets.QCheckBox(parent=PyRegExpWizardRepeatDialog)
        self.minimalCheckBox.setObjectName("minimalCheckBox")
        self.vboxlayout.addWidget(self.minimalCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PyRegExpWizardRepeatDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(PyRegExpWizardRepeatDialog)
        self.minButton.toggled['bool'].connect(self.minSpin.setEnabled) # type: ignore
        self.maxButton.toggled['bool'].connect(self.maxSpin.setEnabled) # type: ignore
        self.exactButton.toggled['bool'].connect(self.exactSpin.setEnabled) # type: ignore
        self.betweenButton.toggled['bool'].connect(self.lowerSpin.setEnabled) # type: ignore
        self.betweenButton.toggled['bool'].connect(self.upperSpin.setEnabled) # type: ignore
        self.buttonBox.accepted.connect(PyRegExpWizardRepeatDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PyRegExpWizardRepeatDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PyRegExpWizardRepeatDialog)
        PyRegExpWizardRepeatDialog.setTabOrder(self.unlimitedButton, self.minButton)
        PyRegExpWizardRepeatDialog.setTabOrder(self.minButton, self.minSpin)
        PyRegExpWizardRepeatDialog.setTabOrder(self.minSpin, self.maxButton)
        PyRegExpWizardRepeatDialog.setTabOrder(self.maxButton, self.maxSpin)
        PyRegExpWizardRepeatDialog.setTabOrder(self.maxSpin, self.exactButton)
        PyRegExpWizardRepeatDialog.setTabOrder(self.exactButton, self.exactSpin)
        PyRegExpWizardRepeatDialog.setTabOrder(self.exactSpin, self.betweenButton)
        PyRegExpWizardRepeatDialog.setTabOrder(self.betweenButton, self.lowerSpin)
        PyRegExpWizardRepeatDialog.setTabOrder(self.lowerSpin, self.upperSpin)
        PyRegExpWizardRepeatDialog.setTabOrder(self.upperSpin, self.minimalCheckBox)

    def retranslateUi(self, PyRegExpWizardRepeatDialog):
        _translate = QtCore.QCoreApplication.translate
        PyRegExpWizardRepeatDialog.setWindowTitle(_translate("PyRegExpWizardRepeatDialog", "Number of repetitions"))
        self.textLabel1_6.setText(_translate("PyRegExpWizardRepeatDialog", "times"))
        self.textLabel1_7.setText(_translate("PyRegExpWizardRepeatDialog", "times"))
        self.textLabel1_5.setText(_translate("PyRegExpWizardRepeatDialog", "times"))
        self.textLabel6.setText(_translate("PyRegExpWizardRepeatDialog", "and"))
        self.betweenButton.setText(_translate("PyRegExpWizardRepeatDialog", "Between"))
        self.exactButton.setText(_translate("PyRegExpWizardRepeatDialog", "Exactly"))
        self.maxButton.setText(_translate("PyRegExpWizardRepeatDialog", "Maximum"))
        self.minButton.setText(_translate("PyRegExpWizardRepeatDialog", "Minimum"))
        self.unlimitedButton.setText(_translate("PyRegExpWizardRepeatDialog", "Unlimited (incl. zero times)"))
        self.minimalCheckBox.setText(_translate("PyRegExpWizardRepeatDialog", "Minimal match"))
